Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005686opensim[REGION] Specific OpenSim Modulepublic2011-09-12 13:142014-07-29 13:40
ReporterMichelle Argus 
Assigned Tojustincc 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0005686: Patch adding new permission option to RemoteAdmin
DescriptionThis Patch adds the new permission options to the Remote Admin Module when saving OAR files.

See new permission option: http://opensimulator.org/mantis/view.php?id=5674 [^]
TagsNo tags attached.
Git Revision or version number44a491f36bbe2094634e356591381c90f87e2125
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineBasicPhysics
EnvironmentUnknown
Mono VersionNone
Viewer
Attached Filestxt file icon 001-Added-perm-option-for-save-oar-to-RemoteAdmin-Module.txt [^] (6,630 bytes) 2011-09-12 13:14 [Show Content]
txt file icon 002-Added-perm-option-for-save-oar-to-RemoteAdmin-Module.txt [^] (6,697 bytes) 2011-09-17 04:22 [Show Content]
txt file icon 003-Added-perm-option-for-save-oar-to-RemoteAdmin-Module.txt [^] (1,812 bytes) 2011-09-19 09:46 [Show Content]

- Relationships
child of 0005674closedjustincc [PATCH] When creating an OAR, optionally exclude objects according to their permissions 

-  Notes
(0019955)
justincc (administrator)
2011-09-16 11:06

Hi Michelle. Patch concept is good but it appears to have been created backwards.

However, even applying it in reverse mode didn't work.
(0019961)
Michelle Argus (reporter)
2011-09-17 04:27

Oh, darn, silly mistake i should have seen^^. Anyway, added Patch 002 correcting the problem, 001 must be ignored.

I did test the new perm options and it does work. The Patch in Mantis 5674 needs to be implemented, otherwise it will not work.
(0019971)
Michelle Argus (reporter)
2011-09-19 09:47

Ups, just saw i forgot to remove some old lines from the file i copied for reuse...

Patch 003 is the patch to apply, sry for that^^
(0020071)
justincc (administrator)
2011-09-30 16:21

Applied in git master a1875ec7. Thanks Michelle!

- Issue History
Date Modified Username Field Change
2011-09-12 13:14 Michelle Argus New Issue
2011-09-12 13:14 Michelle Argus File Added: 001-Added-perm-option-for-save-oar-to-RemoteAdmin-Module.txt
2011-09-12 13:14 Michelle Argus Git Revision => 44a491f36bbe2094634e356591381c90f87e2125
2011-09-12 13:14 Michelle Argus Run Mode => Standalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
2011-09-12 13:14 Michelle Argus Physics Engine => BasicPhysics
2011-09-12 13:14 Michelle Argus Environment => Unknown
2011-09-12 13:14 Michelle Argus Mono Version => None
2011-09-12 13:15 Michelle Argus Relationship added child of 0005674
2011-09-12 13:15 Michelle Argus Status new => patch included
2011-09-12 13:21 Michelle Argus Description Updated
2011-09-16 11:06 justincc Note Added: 0019955
2011-09-16 11:06 justincc Status patch included => patch feedback
2011-09-17 04:22 Michelle Argus File Added: 002-Added-perm-option-for-save-oar-to-RemoteAdmin-Module.txt
2011-09-17 04:27 Michelle Argus Note Added: 0019961
2011-09-19 09:46 Michelle Argus File Added: 003-Added-perm-option-for-save-oar-to-RemoteAdmin-Module.txt
2011-09-19 09:47 Michelle Argus Note Added: 0019971
2011-09-30 16:21 justincc Status patch feedback => resolved
2011-09-30 16:21 justincc Resolution open => fixed
2011-09-30 16:21 justincc Assigned To => justincc
2011-09-30 16:21 justincc Note Added: 0020071
2014-07-29 13:40 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker